package shop.alien.util.random;

import java.util.Random;

/**
 * 生成随机数
 *
 * @author ssk
 * @version 1.0
 * @date 2025/2/11 9:06
 */
public class RandomNumber {

    /**
     * 生成随机数
     *
     * @param min 最小值
     * @param max 最大值
     * @return 随机数
     */
    public static Integer createRandom(Integer min, Integer max) {
        Random random = new Random();
        return random.nextInt((max - min) + 1) + min;
    }

    /**
     * 生成随机数从1开始
     *
     * @param max 最大值
     * @return 随机数
     */
    public static Integer createRandomMinWithOne(Integer max) {
        if (max < 1) {
            throw new IllegalArgumentException("max必须大于0");
        }
        Random random = new Random();
        return random.nextInt(max) + 1;
    }

}
